using Knot.Shared.Kernel;

namespace Knot.Modules.Auth.Domain;

public static class AuthErrors
{
    public static readonly Error FriendsNotFound = new Error("Friends.NotFound", "Friendship not found");
    public static readonly Error FriendsSelf = new Error("Friends.Self", "Cannot add yourself");
    public static readonly Error FriendsExists = new Error("Friends.Exists", "Friendship already exists");
    public static readonly Error UserNotFound = new Error("User.NotFound", "User not found");
    public static readonly Error IdentityInvalidCredentials = new Error("Identity.InvalidCredentials", "Неверное имя пользователя или пароль.");
    public static readonly Error IdentityRegistrationDisabled = new Error("Identity.RegistrationDisabled", "Registration is disabled by the administrator.");
    public static readonly Error IdentityUsernameNotUnique = new Error("Identity.UsernameNotUnique", "Это имя пользователя уже занято.");
}

